{include="header"}

{if="$fsc->cliente"}
<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript">
   function comprobar_url()
   {
      if(window.location.hash.substring(1) == 'cuentasb')
      {
         mostrar_seccion('cuentasb');
      }
      else if(window.location.hash.substring(1) == 'direcciones')
      {
         mostrar_seccion('direcciones');
      }
      else if(window.location.hash.substring(1) == 'subcuentas')
      {
         mostrar_seccion('subcuentas');
      }
      else if(window.location.hash.substring(1) == 'stats')
      {
         mostrar_seccion('stats');
      }
      else
      {
         mostrar_seccion('');
      }
   }
   function mostrar_seccion(id)
   {
      $(".pseudotab_cli").hide();
      $("#lista_botones_cli a").removeClass('active');

      if(id == 'cuentasb')
      {
         $("#panel_cuentasb").show();
         $("#b_cuentasb").addClass('active');
      }
      else if(id == 'direcciones')
      {
         $("#panel_direcciones").show();
         $("#b_direcciones").addClass('active');
      }
      else if(id == 'subcuentas')
      {
         $("#div_subcuentas").show();
         $("#b_subcuentas").addClass('active');
      }
      else if(id == 'stats')
      {
         $("#panel_stats").show();
         $("#b_stats").addClass('active');
      }
      else
      {
         $("#panel_generales").show();
         $("#b_generales").addClass('active');
         document.f_cliente.nombre.focus();
      }
   }
   function mostrar_tab(name)
   {
      $(".pseudotab_cli").hide();
      $("#lista_botones_cli a").removeClass('active');

      $("#ext_"+name).show();
      $("#b_ext_"+name).addClass('active');

      return false;
   }
   function delete_cuenta(id)
   {
      if( confirm('¿Realmente desea eliminar la cuenta bancaria #'+id+'?') )
      {
         window.location.href = '{$fsc->url()}&delete_cuenta='+id+'#cuentasb';
      }
   }
   $(document).ready(function() {
      comprobar_url();
      window.onpopstate = function() {
         comprobar_url();
      }
      $("#b_eliminar").click(function(event) {
         event.preventDefault();
         if( confirm("¿Realmente desea eliminar este cliente?") )
            window.location.href = '{$fsc->ppage->url()}&delete={$fsc->cliente->codcliente}';
      });
      $("#b_nueva_cuenta").click(function(event) {
         event.preventDefault();
         $("#modal_nueva_cuenta").modal('show');
         document.f_nueva_cuenta.descripcion.focus();
      });
      $("#b_nueva_direccion").click(function(event) {
         event.preventDefault();
         $("#modal_nueva_direccion").modal('show');
         document.f_nueva_direccion.provincia.focus();
      });
   });
</script>

<div class="container-fluid" style="margin-top: 10px; margin-bottom: 10px;">
   <div class="row">
      <div class="col-sm-3 col-xs-3">
         <div class="btn-group">
            <a href="{$fsc->ppage->url()}" class="btn btn-sm btn-default">
               <span class="glyphicon glyphicon-arrow-left"></span>
               <span class="hidden-xs hidden-sm">&nbsp; Clientes</span>
            </a>
            <a href="{$fsc->url()}" class="btn btn-sm btn-default" title="Recarga la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
         </div>
      </div>
      <div class="col-sm-6 col-xs-6 text-center">
         <h2 style="margin-top: 0px;">Editar cliente {$fsc->cliente->codcliente}</h2>
      </div>
      <div class="col-sm-3 col-xs-3 text-right">
         <a class="btn btn-sm btn-success" href="index.php?page=ventas_clientes#nuevo" title="Nuevo cliente">
            <span class="glyphicon glyphicon-plus"></span>
         </a>
         {if="$fsc->allow_delete"}
            {if="$fsc->cliente->debaja"}
            <a href="#" class="btn btn-sm btn-danger" data-toggle="modal" data-target="#modal_debaja">
               <span class="glyphicon glyphicon-lock"></span>
               <span class="hidden-xs">&nbsp; De baja</span>
            </a>
            {elseif="$fsc->tiene_facturas()"}
            <a href="#" class="btn btn-sm btn-warning" data-toggle="modal" data-target="#modal_debaja">
               <span class="glyphicon glyphicon-lock"></span>
               <span class="hidden-xs">&nbsp; Dar de baja</span>
            </a>
            {else}
            <a href="#" id="b_eliminar" class="btn btn-sm btn-danger">
               <span class="glyphicon glyphicon-trash"></span>
               <span class="hidden-xs">&nbsp; Eliminar</span>
            </a>
            {/if}
         {/if}
      </div>
   </div>
</div>

{if="isset($_GET['stats'])"}
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
   // Load the Visualization API and the piechart package.
   google.load('visualization', '1.0', {'packages':['corechart']});

   // Set a callback to run when the Google Visualization API is loaded.
   google.setOnLoadCallback(drawChart);

   // Callback that creates and populates a data table,
   // instantiates the pie chart, passes in the data and
   // draws it.
   function drawChart()
   {
      // Create the data table.
      var data = new google.visualization.DataTable();
      data.addColumn('string', 'mes');
      data.addColumn('number', '{#FS_ALBARANES#}');
      data.addColumn('number', 'facturas');
      data.addRows([
      {loop="$fsc->stats_from_cli()"}
         ['{$value['mes']}', {$value['albaranes']}, {$value['facturas']}],
      {/loop}
      ]);

      // Instantiate and draw our chart, passing in some options.
      var chart = new google.visualization.AreaChart(document.getElementById('chart_albaranes_month'));
      chart.draw(data);
   }
</script>
{/if}

<div class="container-fluid">
   <div class="row">
      <div class="col-lg-2 col-md-2 col-sm-3">
         <div id="lista_botones_cli" class="list-group">
            <a id="b_generales" href="#" class="list-group-item active" onclick="mostrar_seccion('')">
               <span class="glyphicon glyphicon-dashboard"></span> &nbsp; Datos generales
            </a>
            <a id="b_cuentasb" href="#cuentasb" class="list-group-item" onclick="mostrar_seccion('cuentasb')">
               <span class="glyphicon glyphicon-credit-card"></span> &nbsp; Cuentas bancarias
            </a>
            <a id="b_direcciones" href="#direcciones" class="list-group-item" onclick="mostrar_seccion('direcciones')">
               <span class="glyphicon glyphicon-road"></span> &nbsp; Direcciones
            </a>
            <a id="b_subcuentas" href="#subcuentas" class="list-group-item" onclick="mostrar_seccion('subcuentas')">
               <span class="glyphicon glyphicon-credit-card"></span> &nbsp; Subcuentas
            </a>
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}&codcliente={$fsc->cliente->codcliente}" class="list-group-item">
                  {$value->text}
               </a>
               {elseif="$value->type=='tab'"}
               <a href="#" id="b_ext_{$key}" class="list-group-item" onclick="return mostrar_tab('{$key}');">
                  {$value->text}
               </a>
               {/if}
            {/loop}
            <a id="b_stats" href="{$fsc->url()}&stats=TRUE#stats" class="list-group-item">
               <span class="glyphicon glyphicon-stats"></span> &nbsp; Estadísticas
            </a>
         </div>
      </div>

      <div class="col-lg-10 col-md-10 col-sm-9">
         <form name="f_cliente" action="{$fsc->url()}" method="post" class="form">
            <input type="hidden" name="codcliente" value="{$fsc->cliente->codcliente}"/>
            <div class='panel {if="$fsc->cliente->debaja"}panel-danger{else}panel-primary{/if} pseudotab_cli' id='panel_generales'>
               <div class="panel-heading">
                  <h3 class="panel-title">Datos generales</h3>
               </div>
               <div class="panel-body">
                  <div class="container-fluid">
                     <div class="row">
                        <div class="col-sm-4">
                           <div class="form-group">
                              Nombre:
                              <input class="form-control" type="text" name="nombre" value="{$fsc->cliente->nombre}" autocomplete="off"/>
                              <p class="help-block">Nombre por el que se conoce al cliente. Para uso interno.</p>
                           </div>
                        </div>
                        <div class="col-sm-4">
                           <div class="form-group">
                              Razón social:
                              <input class="form-control" type="text" name="razonsocial" value="{$fsc->cliente->razonsocial}" autocomplete="off"/>
                              <p class="help-block">Nombre oficial del cliente, para las facturas y otros documentos.</p>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              <br/>
                              <select name="tipoidfiscal" class="form-control">
                              {$tiposids=fs_tipos_id_fiscal()}
                              {loop="$tiposids"}
                                 {if="$value==$fsc->cliente->tipoidfiscal"}
                                 <option value="{$value}" selected="">{$value}</option>
                                 {else}
                                 <option value="{$value}">{$value}</option>
                                 {/if}
                              {/loop}
                              </select>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              {#FS_CIFNIF#}:
                              <input class="form-control" type="text" name="cifnif" value="{$fsc->cliente->cifnif}" autocomplete="off"/>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-4">
                           <div class="checkbox">
                              <label>
                                 <input type="checkbox" name="personafisica" value="TRUE"{if="$fsc->cliente->personafisica"} checked=""{/if}/>
                                 Es una persona física (no una empresa)
                              </label>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-2">
                           <div class="form-group">
                              Teléfono 1:
                              <input class="form-control" type="text" name="telefono1" value="{$fsc->cliente->telefono1}" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              Teléfono 2:
                              <input class="form-control" type="text" name="telefono2" value="{$fsc->cliente->telefono2}" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              Fax:
                              <input class="form-control" type="text" name="fax" value="{$fsc->cliente->fax}" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-3">
                           <div class="form-group">
                              Email:
                              <input class="form-control" type="text" name="email" value="{$fsc->cliente->email}" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-3">
                           <div class="form-group">
                              Web:
                              <input class="form-control" type="text" name="web" value="{$fsc->cliente->web}" autocomplete="off"/>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-4">
                           <div class="form-group">
                              <a href="index.php?page=ventas_clientes#grupos">Grupo de clientes</a>:
                              <select class="form-control" name="codgrupo">
                                 <option value="">Ninguno</option>
                                 <option value="">-----</option>
                                 {loop="$fsc->grupo->all()"}
                                 <option value="{$value->codgrupo}"{if="$value->codgrupo==$fsc->cliente->codgrupo"} selected=""{/if}>{$value->nombre}</option>
                                 {/loop}
                              </select>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              <a href="{$fsc->serie->url()}" class="text-capitalize">{#FS_SERIE#}</a>:
                              <select class="form-control" name="codserie">
                                 <option value="">Predeterminada</option>
                                 <option value="">------</option>
                                 {loop="$fsc->serie->all()"}
                                    {if="$value->codserie==$fsc->cliente->codserie"}
                                    <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                                    {else}
                                    <option value="{$value->codserie}">{$value->descripcion}</option>
                                    {/if}
                                 {/loop}
                              </select>
                           </div>
                        </div>
                        <div class="col-sm-2">
                           <div class="form-group">
                              <a href="{$fsc->divisa->url()}">Divisa</a>:
                              <select class="form-control" name="coddivisa">
                              {loop="$fsc->divisa->all()"}
                                 {if="$value->coddivisa==$fsc->cliente->coddivisa"}
                                 <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                                 {else}
                                 <option value="{$value->coddivisa}">{$value->descripcion}</option>
                                 {/if}
                              {/loop}
                              </select>
                           </div>
                        </div>
                        <div class="col-sm-4">
                           <div class="form-group">
                              <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
                              <select class="form-control" name="codpago">
                                 {loop="$fsc->forma_pago->all()"}
                                 <option value="{$value->codpago}"{if="$value->codpago==$fsc->cliente->codpago"} selected=""{/if}>{$value->descripcion}</option>
                                 {/loop}
                              </select>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-4">
                           <div class="form-group">
                              Régimen {#FS_IVA#}:
                              <select class="form-control" name="regimeniva">
                                 {loop="$fsc->cliente->regimenes_iva()"}
                                 <option value="{$value}"{if="$value==$fsc->cliente->regimeniva"} selected=""{/if}>{$value}</option>
                                 {/loop}
                              </select>
                           </div>
                        </div>
                        <div class="col-sm-4">
                           <div class="form-group">
                              <a href="{$fsc->agente->url()}">Empleado asignado</a>:
                              <select class="form-control" name="codagente">
                                 <option value="">Ninguno</option>
                                 <option value="">-----</option>
                                 {loop="$fsc->agente->all()"}
                                 <option value="{$value->codagente}"{if="$value->codagente==$fsc->cliente->codagente"} selected=""{/if}>{$value->get_fullname()}</option>
                                 {/loop}
                              </select>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-12">
                           <div class="form-group">
                              Observaciones:
                              <textarea class="form-control" name="observaciones" rows="3">{$fsc->cliente->observaciones}</textarea>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="panel-footer text-right">
                  <small class="pull-left">Fecha de alta: {$fsc->cliente->fechaalta}</small>
                  <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                     <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                  </button>
               </div>
            </div>

            <div class="modal fade" id="modal_debaja" tabindex="-1" role="dialog">
               <div class="modal-dialog" role="document">
                  <div class="modal-content">
                     <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                           <span aria-hidden="true">&times;</span>
                        </button>
                        {if="$fsc->cliente->debaja"}
                        <h4 class="modal-title">
                           <span class="glyphicon glyphicon-lock"></span>
                           &nbsp; Este cliente ha sido dado de baja
                        </h4>
                        <p class="help-block">Concretamente el día {$fsc->cliente->fechabaja}</p>
                        {else}
                        <h4 class="modal-title">
                           <span class="glyphicon glyphicon-lock"></span>
                           &nbsp; ¿Deseas dar de baja al cliente?
                        </h4>
                        <p class="help-block">
                           Este cliente ya tiene facturas o {#FS_ALBARANES#} relacionados,
                           por lo que no es recomendable eliminarlo.
                        </p>
                        {/if}
                     </div>
                     <div class="modal-body">
                        <div class="checkbox">
                           <label>
                              {if="$fsc->cliente->debaja"}
                              <input type="checkbox" name="debaja" value="TRUE" checked=""/>
                              {else}
                              <input type="checkbox" name="debaja" value="TRUE"/>
                              {/if}
                              Dar de baja al cliente.
                           </label>
                           <p class="help-block">
                              Desaparecerá de las búsquedas en facturas, {#FS_ALBARANES#}, etc.
                              Pero seguirá en el listado de clientes por si cambias de idea.
                           </p>
                        </div>
                        <div class="text-right">
                           <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                              <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                           </button>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </form>

         <div id="panel_cuentasb" class="pseudotab_cli">
            {loop="$fsc->cuenta_banco->all_from_cliente($fsc->cliente->codcliente)"}
            <form action="{$fsc->url()}#cuentasb" method="post" class="form">
               <input type="hidden" name="codcuenta" value="{$value->codcuenta}"/>
               <input type="hidden" name="codcliente" value="{$value->codcliente}"/>
               <div class="panel panel-info">
                  <div class="panel-heading">
                     <h3 class="panel-title">Cuenta bancaria #{$value->codcuenta}</h3>
                  </div>
                  <div class="panel-body">
                     <div class="row">
                        <div class="col-sm-3">
                           <div class="form-group">
                              Descripción:
                              <input class="form-control" type="text" name="descripcion" value="{$value->descripcion}" placeholder="Cuenta principal" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-6">
                           <div class="form-group">
                              <a target="_blank" href="http://es.wikipedia.org/wiki/International_Bank_Account_Number">IBAN</a>:
                              <input class="form-control" type="text" name="iban" value="{$value->iban}" maxlength="34" placeholder="ES12345678901234567890123456" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-3">
                           <div class="form-group">
                              <a target="_blank" href="http://es.wikipedia.org/wiki/Society_for_Worldwide_Interbank_Financial_Telecommunication">SWIFT</a> o BIC:
                              <input class="form-control" type="text" name="swift" value="{$value->swift}" maxlength="11" autocomplete="off"/>
                           </div>
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-2">
                           <div class="form-group">
                              Fecha del mandato:
                              <input type="text" name="fmandato" value="{$value->fmandato}" class="form-control datepicker" autocomplete="off"/>
                           </div>
                        </div>
                        <div class="col-sm-4">
                           <br/>
                           <p class="help-block">
                              Si el cliente ha autorizado la <b>domiciliación</b> de recibos, debes especificar
                              la fecha del mandato: la fecha en la que autorizó.
                           </p>
                        </div>
                        <div class="col-sm-2">
                           <br/>
                           <div class="checkbox">
                              <label>
                                 {if="$value->principal"}
                                 <input type="checkbox" name="principal" value="TRUE" checked=""/>
                                 {else}
                                 <input type="checkbox" name="principal" value="TRUE"/>
                                 {/if}
                                 Esta es la cuenta principal del cliente
                              </label>
                           </div>
                        </div>
                        <div class="col-sm-4 text-right">
                           <br/>
                           <div class="btn-group">
                              <a class="btn btn-sm btn-danger" onclick="delete_cuenta('{$value->codcuenta}');">
                                 <span class="glyphicon glyphicon-trash"></span>
                                 <span class="hidden-xs hidden-sm">&nbsp; Eliminar</span>
                              </a>
                              <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                                 <span class="glyphicon glyphicon-floppy-disk"></span>
                                 <span class="hidden-xs">&nbsp; Guardar</span>
                              </button>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </form>
            {/loop}
            <div class="panel panel-success">
               <div class="panel-heading">
                  <h3 class="panel-title">
                     <a id="b_nueva_cuenta" href="#">
                        <span class="glyphicon glyphicon-plus-sign"></span>
                        &nbsp; Nueva cuenta bancaria...
                     </a>
                  </h3>
               </div>
            </div>
         </div>

         <div id="panel_direcciones" class="pseudotab_cli">
            {loop="$fsc->cliente->get_direcciones()"}
            <form action="{$fsc->url()}#direcciones" method="post" class="form">
               <input type="hidden" name="codcliente" value="{$fsc->cliente->codcliente}"/>
               <input type="hidden" name="coddir" value="{$value->id}"/>
               <div class="panel panel-info">
                  <div class="panel-heading">
                     <h3 class="panel-title">
                        <span class="glyphicon glyphicon-road"></span>&nbsp; {$value->descripcion}
                        &nbsp; | &nbsp;
                        <span class="glyphicon glyphicon-calendar"></span> {$value->fecha}
                     </h3>
                  </div>
                  <div class="panel-body">
                     <div class="form-group col-sm-4">
                        <a href="{$fsc->pais->url()}">País</a>
                        <select class="form-control" name="pais">
                        {loop="$fsc->pais->all()"}
                        <option value="{$value2->codpais}"{if="$value1->codpais==$value2->codpais"} selected=""{/if}>{$value2->nombre}</option>
                        {/loop}
                        </select>
                     </div>
                     <div class="form-group col-sm-4">
                        <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                        <input class="form-control" type="text" name="provincia" id="ac_provincia" value="{$value->provincia}"/>
                     </div>
                     <div class="form-group col-sm-4">
                        Ciudad:
                        <input class="form-control" type="text" name="ciudad" value="{$value->ciudad}"/>
                     </div>
                     <div class="form-group col-sm-3">
                        Código Postal:
                        <input class="form-control" type="text" name="codpostal" value="{$value->codpostal}"/>
                     </div>
                     <div class="form-group col-sm-9">
                        Dirección:
                        <input class="form-control" type="text" name="direccion" value="{$value->direccion}" autocomplete="off"/>
                     </div>
                     <div class="form-group col-sm-3">
                        <span class="text-capitalize">{#FS_APARTADO#}</span>:
                        <input class="form-control" type="text" name="apartado" value="{$value->apartado}" autocomplete="off"/>
                     </div>
                     <div class="form-group col-sm-3">
                        <div class="checkbox">
                        <label>
                           <input type="checkbox" name="direnvio" value="TRUE"{if="$value->domenvio"} checked=""{/if}/>
                           Dirección de envío
                        </label>
                        </div>
                        <div class="checkbox">
                        <label>
                           <input type="checkbox" name="dirfact" value="TRUE"{if="$value->domfacturacion"} checked=""{/if}/>
                           Dirección de facturación
                        </label>
                        </div>
                     </div>
                     <div class="form-group col-sm-6">
                        Descripción:
                        <input class="form-control" type="text" name="descripcion" value="{$value->descripcion}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="panel-footer text-right">
                     <a class="btn btn-sm btn-danger pull-left" href="{$fsc->url()}&delete_dir={$value->id}#direcciones">
                        <span class="glyphicon glyphicon-trash"></span> &nbsp; Eliminar
                     </a>
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                     </button>
                  </div>
               </div>
            </form>
            {/loop}
            <div class="panel panel-success">
               <div class="panel-heading">
                  <h3 class="panel-title">
                     <a id="b_nueva_direccion" href="#">
                        <span class="glyphicon glyphicon-plus-sign"></span>
                        &nbsp; Nueva dirección...
                     </a>
                  </h3>
               </div>
            </div>
         </div>

         <div class="table-responsive pseudotab_cli" id="div_subcuentas">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Ejercicio</th>
                     <th></th>
                     <th class="text-left">Subcuenta + Descripción</th>
                     <th class="text-right">Debe</th>
                     <th class="text-right">Haber</th>
                     <th class="text-right">Saldo</th>
                  </tr>
               </thead>
               {loop="$fsc->cliente->get_subcuentas()"}
               <tr>
                  <td><div class="form-control">{$value->codejercicio}</div></td>
                  <td class="text-right">
                     <a class="btn btn-sm btn-default" href="index.php?page=subcuenta_asociada&cli={$fsc->cliente->codcliente}&idsc={$value->idsubcuenta}">
                        <span class="glyphicon glyphicon-wrench"></span>
                     </a>
                  </td>
                  <td>
                     <div class="form-control">
                        <a href="{$value->url()}">{$value->codsubcuenta}</a> {$value->descripcion}
                     </div>
                  </td>
                  <td>
                     <div class="form-control text-right">{$fsc->show_precio($value->debe, $value->coddivisa)}</div>
                  </td>
                  <td>
                     <div class="form-control text-right">{$fsc->show_precio($value->haber, $value->coddivisa)}</div>
                  </td>
                  <td>
                     <div class="form-control text-right">{$fsc->show_precio($value->saldo, $value->coddivisa)}</div>
                  </td>
               </tr>
               {/loop}
               <tr>
                  <td colspan="6" class="text-center">
                     <a class="btn btn-sm btn-block btn-success" href="index.php?page=subcuenta_asociada&cli={$fsc->cliente->codcliente}">
                        Asignar una nueva subcuenta...
                     </a>
                  </td>
               </tr>
            </table>
         </div>

         {loop="$fsc->extensions"}
            {if="$value->type=='tab'"}
            <div id="ext_{$key}" class="pseudotab_cli">
               <iframe src="index.php?page={$value->from}{$value->params}&cod={$fsc->cliente->codcliente}" width="100%" height="600" frameborder="0"></iframe>
            </div>
            {/if}
         {/loop}

         <div id="panel_stats" class="pseudotab_cli">
            <div class="panel panel-primary">
               <div class="panel-heading">
                  <h3 class="panel-title">Estadísticas</h3>
               </div>
               <div class="panel-body">
                  <div id="chart_albaranes_month" style="height: 400px;"></div>
               </div>
               <div class="panel-footer">
                  <p class="help-block">
                     Estas son las estadísticas de {#FS_ALBARANES#} y facturas del cliente
                     de los últimos años. Los valores son netos.
                  </p>
                  <p class="help-block">
                     Puedes consultar informes de ventas más detallados en <b>Informes &gt; Facturas</b>.
                  </p>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>

<form name="f_nueva_cuenta" action="{$fsc->url()}#cuentasb" method="post" class="form">
   <input type="hidden" name="codcliente" value="{$fsc->cliente->codcliente}"/>
   <div class="modal" id="modal_nueva_cuenta">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-credit-card"></span>
                  &nbsp; Nueva cuenta bancaria
               </h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  Descripción:
                  <input class="form-control" type="text" name="descripcion" placeholder="Banco XXX" autocomplete="off" required=""/>
                  <label>
                     <input type="checkbox" name="principal" value="TRUE" checked=""/>
                     Principal
                  </label>
               </div>
               <div class="form-group">
                  <a target="_blank" href="http://es.wikipedia.org/wiki/International_Bank_Account_Number">IBAN</a>:
                  <input class="form-control" type="text" name="iban" maxlength="34" placeholder="ES12345678901234567890123456" autocomplete="off"/>
               </div>
               <div class="form-group">
                  <a target="_blank" href="http://es.wikipedia.org/wiki/Society_for_Worldwide_Interbank_Financial_Telecommunication">SWIFT</a> o BIC:
                  <input class="form-control" type="text" name="swift" maxlength="11" autocomplete="off"/>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>

<form name="f_nueva_direccion" action="{$fsc->url()}#direcciones" method="post" class="form">
   <input type="hidden" name="codcliente" value="{$fsc->cliente->codcliente}"/>
   <input type="hidden" name="coddir" value=""/>
   <div class="modal" id="modal_nueva_direccion">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-road"></span>
                  &nbsp; Nueva dirección
               </h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  <a href="{$fsc->pais->url()}">País</a>:
                  <select name="pais" class="form-control">
                     {loop="$fsc->pais->all()"}
                     <option value="{$value->codpais}"{if="$value->is_default()"} selected=""{/if}>{$value->nombre}</option>
                     {/loop}
                  </select>
               </div>
               <div class="form-group">
                  <span class="text-capitalize">{#FS_PROVINCIA#}:</span>
                  <input id="ac_provincia2" class="form-control" type="text" name="provincia" value="{$fsc->empresa->provincia}"/>
               </div>
               <div class="form-group">
                  Ciudad:
                  <input class="form-control" type="text" name="ciudad" value="{$fsc->empresa->ciudad}"/>
               </div>
               <div class="form-group">
                  Código Postal:
                  <input class="form-control" type="text" name="codpostal"/>
               </div>
               <div class="form-group">
                  Dirección:
                  <input class="form-control" type="text" name="direccion" autocomplete="off"/>
               </div>
               <div class="form-group">
                  <span class="text-capitalize">{#FS_APARTADO#}:</span>
                  <input class="form-control" type="text" name="apartado" autocomplete="off"/>
               </div>
               <div class="form-group">
                  Descripción:
                  <input class="form-control" type="text" name="descripcion" value="Nueva dirección"/>
                  <label>
                     <input type="checkbox" name="direnvio" id="ndirenvio" value="TRUE" checked=""/>
                     Dirección de envío
                  </label>
                  <label>
                     <input type="checkbox" name="dirfact" id="ndirfact" value="TRUE" checked=""/>
                     Dirección de facturación
                  </label>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>
{else}
<div class="thumbnail">
   <img src="view/img/fuuu_face.png" alt="fuuuuu"/>
</div>
{/if}

{include="footer"}
